import { ILogger } from "../../core/interfaces";
import { IRouter } from "../../core/interfaces";
import { HttpVerb } from "../../router/enums";
import * as http from "http";
import * as express from "express";
import * as coreExpress from "express-serve-static-core";
export declare class RouterAdapter implements IRouter {
    router: express.Application;
    private context;
    constructor(logger: ILogger);
    addMiddleware(path: string, handler: coreExpress.RequestHandler): void;
    addRequestHandler(path: string, handler: coreExpress.RequestHandler): void;
    startWebServer(port: number, hostname: string, callback?: Function): http.Server;
    register(httpVerb: HttpVerb, path: string, handler: any): void;
}
