import { ILogger } from "../../core/interfaces";
export interface ILogData {
    message: string;
    optionalParams: any;
    timestamp: Date;
}
export declare class Adapter implements ILogger {
    private config;
    private isFlushing;
    logBuffer: ILogData[];
    constructor(config?: {
        bufferLogs: boolean;
    });
    log(message?: any, ...optionalParams: any[]): void;
    private logger(logData);
    flushBuffer(logger: (logData: ILogData) => void): void;
}
