export declare class Package {
    private _name;
    name: string;
    private _version;
    version: string;
    private _description;
    description: string;
    private _homepage;
    homepage: string;
    private _bugs;
    bugs: {
        url: string;
        email: string;
    };
    private _license;
    license: string;
    private _author;
    author: {
        name: string;
        email?: string;
        url?: string;
    };
    private _main;
    main: string;
    private _directories;
    directories: {
        lib: string;
        bin: string;
        doc: string;
        example: string;
    };
    private _repository;
    repository: string | {
        type: string;
        url: string;
    };
    private _scripts;
    scripts: {};
    private _config;
    config: {};
    private _dependencies;
    dependencies: {};
    private _devDependencies;
    devDependencies: {};
    private _peerDependencies;
    peerDependencies: {};
    private _bundledDependencies;
    bundledDependencies: {};
    private _optionalDependencies;
    optionalDependencies: {};
}
