import { HttpVerb } from "../router/enums";
import { RouteArea, MethodParam, FileParam } from "../router/metadata";
export declare class RouteHandler {
    name: string;
    path: string;
    resolvedPath: string;
    httpVerb: HttpVerb;
    parameters: Array<MethodParam>;
    mustParseCookies: boolean;
    files: Array<FileParam>;
    mustParseBody: boolean;
    mustParseForms: boolean;
    languages: Array<string>;
    accepts: Array<string>;
    resolvedLanguages: Array<string>;
    resolvedAccepts: Array<string>;
    private routeArea;
    private context;
    private handler;
    constructor(routeArea: RouteArea);
    execute(req: any, res: any, next: any): void;
    private sendValue(value, response, next);
    private processResponseHeaders(routeHandler, context);
    private createRouteHandler(routeArea, context);
}
