"use strict";
var factory_1 = require("../core/factory");
var context_1 = require("../core/context");
var RequestHandler = (function () {
    function RequestHandler(request, response, next) {
        this._request = request;
        this._response = response;
        this._next = next;
        this._context = factory_1.Container.get(context_1.Context);
    }
    Object.defineProperty(RequestHandler.prototype, "request", {
        get: function () {
            return this._request;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RequestHandler.prototype, "response", {
        get: function () {
            return this._response;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RequestHandler.prototype, "next", {
        get: function () {
            return this._next;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RequestHandler.prototype, "context", {
        get: function () {
            return this._context;
        },
        enumerable: true,
        configurable: true
    });
    return RequestHandler;
}());
exports.RequestHandler = RequestHandler;

//# sourceMappingURL=../../../maps/src/system/core/requesthandler.js.map
