"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require("../core");
var router_1 = require("../router");
var CorsRequestHandler = (function (_super) {
    __extends(CorsRequestHandler, _super);
    function CorsRequestHandler(request, response, next) {
        _super.call(this, request, response, next);
        this.context.logger.log("CORS request:", this.request.url);
        this.response.header("Access-Control-Allow-Origin", this.request.headers.origin);
        if (next) {
            next();
        }
        else {
            this.response.end();
        }
    }
    CorsRequestHandler = __decorate([
        router_1.Handler("/1"), 
        __metadata('design:paramtypes', [Object, Object, Object])
    ], CorsRequestHandler);
    return CorsRequestHandler;
}(core_1.RequestHandler));
exports.CorsRequestHandler = CorsRequestHandler;

//# sourceMappingURL=../../../maps/src/system/handler/cors.js.map
