"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var RouteArea = (function () {
    function RouteArea(targetClass) {
        this.targetClass = targetClass;
        this.handlers = new Array();
    }
    RouteArea.prototype.addProperty = function (key, paramType) {
        if (!this.hasProperties()) {
            this.properties = new Array();
        }
        this.properties[key] = paramType;
    };
    RouteArea.prototype.hasProperties = function () {
        return (this.properties && this.properties.length > 0);
    };
    return RouteArea;
}());
exports.RouteArea = RouteArea;
var FileParam = (function () {
    function FileParam(name, singleFile) {
        this.name = name;
        this.singleFile = singleFile;
    }
    return FileParam;
}());
exports.FileParam = FileParam;
var MethodParam = (function () {
    function MethodParam(name, type, paramType) {
        this.name = name;
        this.type = type;
        this.paramType = paramType;
    }
    return MethodParam;
}());
exports.MethodParam = MethodParam;
var ResponseData = (function () {
    function ResponseData() {
        this.headers = {};
    }
    return ResponseData;
}());
exports.ResponseData = ResponseData;
var RequestContext = (function () {
    function RequestContext() {
    }
    return RequestContext;
}());
exports.RequestContext = RequestContext;
var HttpError = (function (_super) {
    __extends(HttpError, _super);
    function HttpError(name, statusCode, message) {
        _super.call(this, message);
        this.statusCode = statusCode;
        this.message = message;
        this.name = name;
        this.stack = (new Error()).stack;
    }
    return HttpError;
}(Error));
exports.HttpError = HttpError;
var ReferencedResource = (function () {
    function ReferencedResource(location, statusCode) {
        this.location = location;
        this.statusCode = statusCode;
    }
    return ReferencedResource;
}());
exports.ReferencedResource = ReferencedResource;

//# sourceMappingURL=../../../maps/src/system/router/metadata.js.map
